Create or update a saved search
curl --request POST \
--url https://app.manypi.com/api/leads/research-profiles \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"criteria": {
"description": "<string>",
"count": 25,
"locations": [
"<string>"
],
"industries": [
"<string>"
],
"company_size": "<string>",
"titles": [
"<string>"
],
"keywords": [
"<string>"
],
"exclusions": [
"<string>"
],
"required_fields": [
"email"
],
"extra_columns": [
{
"name": "<string>",
"description": "<string>"
}
],
"sources": [
"<string>"
],
"notes": "<string>"
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
'import requests
url = "https://app.manypi.com/api/leads/research-profiles"
payload = {
"criteria": {
"description": "<string>",
"count": 25,
"locations": ["<string>"],
"industries": ["<string>"],
"company_size": "<string>",
"titles": ["<string>"],
"keywords": ["<string>"],
"exclusions": ["<string>"],
"required_fields": ["email"],
"extra_columns": [
{
"name": "<string>",
"description": "<string>"
}
],
"sources": ["<string>"],
"notes": "<string>"
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
criteria: {
description: '<string>',
count: 25,
locations: ['<string>'],
industries: ['<string>'],
company_size: '<string>',
titles: ['<string>'],
keywords: ['<string>'],
exclusions: ['<string>'],
required_fields: ['email'],
extra_columns: [{name: '<string>', description: '<string>'}],
sources: ['<string>'],
notes: '<string>'
},
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: '<string>'
})
};
fetch('https://app.manypi.com/api/leads/research-profiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"profile": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"kind": "icp",
"criteria": {
"description": "<string>",
"count": 25,
"locations": [
"<string>"
],
"industries": [
"<string>"
],
"company_size": "<string>",
"titles": [
"<string>"
],
"keywords": [
"<string>"
],
"exclusions": [
"<string>"
],
"required_fields": [
"email"
],
"extra_columns": [
{
"name": "<string>",
"description": "<string>"
}
],
"sources": [
"<string>"
],
"notes": "<string>"
},
"run_count": 123,
"last_run_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Leads
Create or update a saved search
Store a search without running it. Pass id to update an existing profile in place.
Requires the write permission.
POST
/
api
/
leads
/
research-profiles
Create or update a saved search
Authorizations
A ManyPI API key (mpi_...) from Settings → API keys, or an OAuth 2.1 access token obtained through the MCP consent flow.
Body
application/json
Response
The saved profile.
Show child attributes
Show child attributes
⌘I
